ELMBINDATA(1L)

NAME
elmbindata -

SYNOPSIS
/usr/local/lib/elm/elmbindata [ -B -b bindata.bin -d class=debugfile:level -I -w target-file -T text-target-directory -S map-source-directory ]

DESCRIPTION
Elmbindata is a part of the Elm 2.4ME+ mail system.

Text form map files for charset types ascii and one-byte-map from elm.map.txt directory (and elsewhere) are stored to binary file elm.map.bin/unidata.bin. File is then readed or mmapped (similar than elm.map.bin/bindata.bin). File is generated with elmbindata tool.

Options are:

-G  Read global configuration files only (by default user configuration files are read.)

-d class=debugfile:level
    Debug - set specified debug level - Output to "$HOME/ELMBINDATA:debug.info" if debugfile is not given. Has no effect unless elmmbindata was compiled with debugging enabled.

-w target-file
    Gives file for output.

-T text-target-directory
    Gives directory for output of textual (un)dump of binary mapping tables. -I Use system (or user) bindata file as target file.

-B  Use system (or user) bindata file as source file.

-b bindata.bin
    Use given bindata file as (binary) source file.

-S map-source-directory
    Specifies directory from where missing map files are directory to elm.map.txt directory (actually given on map-text-dir elm.rc option.)

If eitger -B or -b is given, then bindata is generated
    from textual mapping files.

AUTHOR
Kari Hurtta

FILES
/usr/local/etc/mail/elm/elm.rc system RC file
/usr/local/etc/mail/elm/elm.mimecharsets system charsets file
$HOME/.elm/elmrc individual RC file
$HOME/.elm/mime.charsets individual charsets file
/usr/local/lib/elm/elm.map.bin/bindata.bin Default location for system bindata file

BUG REPORTS TO
Kari Hurtta    elm@elmme-mailer.org

COPYRIGHTS
Copyright 2003-2011 by Kari Hurtta